io.agora.rtc

## Class PacketOptions

- java.lang.Object
- - io.agora.rtc.PacketOptions

-     public class PacketOptions
      extends java.lang.Object

  Options for packet transmission.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private byte` | `audioLevelIndication` Audio level indication
    `private int` | `timestamp` Timestamp

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PacketOptions()` Default constructor for PacketOptions.
    `PacketOptions(int timestamp, byte audioLevelIndication)` Constructs PacketOptions with timestamp and audio level indication.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `getAudioLevelIndication()` Gets the audio level indication.
    `int` | `getTimestamp()` Gets the timestamp.
    `void` | `setAudioLevelIndication(byte audioLevelIndication)` Sets the audio level indication.
    `void` | `setTimestamp(int timestamp)` Sets the timestamp.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### timestamp

          private int timestamp

      Timestamp

    - #### audioLevelIndication

          private byte audioLevelIndication

      Audio level indication

  - ### Constructor Detail

    - #### PacketOptions

          public PacketOptions()

      Default constructor for PacketOptions.

    - #### PacketOptions

          public PacketOptions(int timestamp,
                               byte audioLevelIndication)

      Constructs PacketOptions with timestamp and audio level indication.
      Parameters:
        `timestamp` - Timestamp
        `audioLevelIndication` - Audio level indication

  - ### Method Detail

    - #### getTimestamp

          public int getTimestamp()

      Gets the timestamp.
      Returns:
        Timestamp

    - #### setTimestamp

          public void setTimestamp(int timestamp)

      Sets the timestamp.
      Parameters:
        `timestamp` - Timestamp

    - #### getAudioLevelIndication

          public byte getAudioLevelIndication()

      Gets the audio level indication.
      Returns:
        Audio level indication

    - #### setAudioLevelIndication

          public void setAudioLevelIndication(byte audioLevelIndication)

      Sets the audio level indication.
      Parameters:
        `audioLevelIndication` - Audio level indication